# Gimp.Metadata

    from gi.repository import Gimp

    metadata = Gimp.Metadata()

Basic functions for handling Gimp.Metadata objects.

## Hierarchy

- GObject.Object
  - Gimp.Metadata

## Methods

- Gimp.Metadata.add_xmp_history
- Gimp.Metadata.duplicate
- Gimp.Metadata.get_colorspace
- Gimp.Metadata.get_resolution
- Gimp.Metadata.save_to_file
- Gimp.Metadata.serialize
- Gimp.Metadata.set_bits_per_sample
- Gimp.Metadata.set_colorspace
- Gimp.Metadata.set_from_exif
- Gimp.Metadata.set_from_iptc
- Gimp.Metadata.set_from_xmp
- Gimp.Metadata.set_pixel_size
- Gimp.Metadata.set_resolution

## Static Functions

- Gimp.Metadata.deserialize
- Gimp.Metadata.get_guid
- Gimp.Metadata.is_tag_supported
- Gimp.Metadata.load_from_file